<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="item"
            type="com.vessel.app.plan.model.EmptyPlanItem" />

        <variable
            name="handler"
            type="com.vessel.app.plan.ui.EmptyPlanAdapter.OnActionHandler" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/reagentBetaTestingView"
        android:layout_width="match_parent"
        android:paddingBottom="@dimen/spacing_normal"
        android:layout_height="wrap_content">

        <View
            android:id="@+id/hintBackground"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginStart="@dimen/spacing_3xl"
            android:layout_marginTop="@dimen/spacing_normal"
            android:layout_marginEnd="@dimen/spacing_large"
            android:background="@drawable/rose_background"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/closeDialogButton"
            android:layout_width="@dimen/cutout_view_height"
            android:layout_height="@dimen/cutout_view_height"
            android:layout_marginEnd="@dimen/spacing_2xs"
            android:onClick="@{(view) -> handler.onClosePlanClicked(view)}"
            android:src="@drawable/ic_close_black_circle_with_07_background"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/betaTestHintLabel"
            style="@style/Title.SemiBold"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/spacing_2xl"
            android:paddingTop="@dimen/spacing_2xl"
            android:text="@string/empty_plan_header_text"
            app:layout_constraintEnd_toEndOf="@id/hintBackground"
            app:layout_constraintStart_toStartOf="@id/hintBackground"
            app:layout_constraintTop_toTopOf="@id/hintBackground" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/betaTestHintDescription"
            style="@style/Text.Small"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/spacing_normal"
            android:paddingBottom="@dimen/spacing_2xl"
            android:text="@string/empty_plan_details_text"
            android:textColor="@color/darkText"
            app:layout_constraintEnd_toEndOf="@id/betaTestHintLabel"
            app:layout_constraintStart_toStartOf="@id/betaTestHintLabel"
            app:layout_constraintTop_toBottomOf="@id/betaTestHintLabel" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
